Subject: bug#17517: Eager macro-expansion failure: (error "Lisp nesting, exceeds `max-lisp-eval-depth'")

From: Angelo Graziosi <[email-masked]>
Date: Mon, 06 Apr 2015 21:56:02 +0200

Il 06/04/2015 18:30, Eli Zaretskii ha scritto:
>> Date: Mon, 06 Apr 2015 17:59:50 +0200
>> From: Angelo Graziosi <[email-masked]>
>> Cc: [email-masked], [email-masked]
>>
>> I see these failures building current Emacs-git master on MSYS2-MINGW64,
>> but if I remove the .git directory from the git cloned tree (*), the
>> failures are absent.
>
> Do the problems go away if you enlarge the value of
> max-lisp-eval-depth passed to Emacs during the build?
>

I have tried the same value suggested in 
http://debbugs.gnu.org/cgi/bugreport.cgi?bug=17517 (message #23), i.e.

   max_lisp_eval_depth = 800

and the failures are removed.

Ciao,
  Angelo.